Show / Hide Table of Contents

# Class FlyTextGui

This class facilitates interacting with and creating native in-game "fly text".

##### Inheritance

System.Object
FlyTextGui

##### Implements

System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.FlyText

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class FlyTextGui : IDisposable

### Methods

| Improve this Doc View Source

#### AddFlyText(FlyTextKind, UInt32, UInt32, UInt32, SeString, SeString, UInt32, UInt32)

Displays a fly text in-game on the local player.

##### Declaration

    public void AddFlyText(FlyTextKind kind, uint actorIndex, uint val1, uint val2, SeString text1, SeString text2, uint color, uint icon)

##### Parameters

Type | Name | Description
--- | --- | ---
FlyTextKind | kind | The FlyTextKind. See FlyTextKind.
System.UInt32 | actorIndex | The index of the actor to place flytext on. Indexing unknown. 1 places flytext on local player.
System.UInt32 | val1 | Value1 passed to the native flytext function.
System.UInt32 | val2 | Value2 passed to the native flytext function. Seems unused.
SeString | text1 | Text1 passed to the native flytext function.
SeString | text2 | Text2 passed to the native flytext function.
System.UInt32 | color | Color passed to the native flytext function. Changes flytext color.
System.UInt32 | icon | Icon ID passed to the native flytext function. Only displays with select FlyTextKind.

| Improve this Doc View Source

#### Dispose()

Disposes of managed and unmanaged resources.

##### Declaration

    public void Dispose()

### Events

| Improve this Doc View Source

#### FlyTextCreated

The FlyText event that can be subscribed to.

##### Declaration

    public event FlyTextGui.OnFlyTextCreatedDelegate FlyTextCreated

##### Event Type

Type | Description
--- | ---
FlyTextGui.OnFlyTextCreatedDelegate |

### Implements

System.IDisposable